Subject: Re: bug#36115: 27.0.50; Git master branch compile error with --with-cairo configure flag

From: Alan Third <[email-masked]>
Date: Fri, 7 Jun 2019 17:48:26 +0100

On Fri, Jun 07, 2019 at 08:05:50AM -0400, Noam Postavsky wrote:
> tags 36115 fixed
> close 36115 
> quit
> 
> Eugene Mah <[email-masked]> writes:
> 
> > When compiling the latest git master branch, the following error occurs:
> >
> > image.c: In function ‘image_set_crop’:
> > image.c:2046:16: error: ‘width’ undeclared (first use in this function);
> > did you mean ‘Qwidth’?
> >  2046 |   img->width = width;
> 
> > When the --with-cairo flag is omitted, master branch compiles without
> > issue.
> >
> > The error occurs in the image_set_crop() function, so perhaps related to
> > this commit
> > http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=610fb73ab6d7a22b722f523d6ebc4aa8fa1db7c9
> 
> I believe this was fixed yesterday.
> 
> c8123b45f7 2019-06-06T09:07:36-04:00 "Restore height and with from that were accidentally removed"
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=c8123b45f7b9b660db2040ee85c3a2fd260d3f16

I hadn’t noticed this. I suspect a merge from master has transposed
part of image_set_size into image_set_crop in my local branch and I
failed to see it before pushing.

I’ll sort this out asap.
-- 
Alan Third